using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace ms_lesService.Database.Models;

[Keyless]
[Table("framework_types2framework_metadata_types")]
public class FrameworkType2FrameworkMetadataType
{
    [ForeignKey("id_framework_type")]
    [Column("id_framework_type",Order = 1)]
    public FrameworkType FrameworkType { get; set; }
    
    [ForeignKey("id_framework_metadata_type")]
    [Column("id_framework_metadata_type",Order = 2)]
    public FrameworkMetadataType FrameworkMetadataType { get; set; }
}